Package tigase.db.derby

## Class MsgRepositoryStoredProcedures

- java.lang.Object
- - tigase.db.derby.MsgRepositoryStoredProcedures

-     public class MsgRepositoryStoredProcedures
      extends java.lang.Object

  Created by andrzej on 22.03.2017.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MsgRepositoryStoredProcedures()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addMessage​(java.lang.String receiver, java.lang.String sender, java.lang.Integer type, java.sql.Timestamp ts, java.lang.String message, java.sql.Timestamp expired, java.lang.Long limit, java.sql.ResultSet[] data)` |
    `static void` | `deleteMessage​(java.lang.Long msgId)` |
    `static void` | `deleteMessages​(java.lang.String receiver, java.sql.ResultSet[] data)` |
    `static void` | `deleteMessagesByIds​(java.lang.String receiver, java.lang.String msgId1, java.lang.String msgId2, java.lang.String msgId3, java.lang.String msgId4, java.sql.ResultSet[] data)` |
    `static void` | `getExpiredMessages​(int limit, java.sql.ResultSet[] data)` |
    `static void` | `getExpiredMessagesBefore​(java.sql.Timestamp before, java.sql.ResultSet[] data)` |
    `static void` | `getMessages​(java.lang.String receiver, java.sql.ResultSet[] data)` |
    `static void` | `getMessagesByIds​(java.lang.String receiver, java.lang.String msgId1, java.lang.String msgId2, java.lang.String msgId3, java.lang.String msgId4, java.sql.ResultSet[] data)` |
    `static void` | `getMessagesCount​(java.lang.String receiver, java.sql.ResultSet[] data)` |
    `static void` | `listMessages​(java.lang.String receiver, java.sql.ResultSet[] data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgRepositoryStoredProcedures

          public MsgRepositoryStoredProcedures()

  - ### Method Detail

    - #### addMessage

          public static void addMessage​(java.lang.String receiver,
                                        java.lang.String sender,
                                        java.lang.Integer type,
                                        java.sql.Timestamp ts,
                                        java.lang.String message,
                                        java.sql.Timestamp expired,
                                        java.lang.Long limit,
                                        java.sql.ResultSet[] data)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteMessage

          public static void deleteMessage​(java.lang.Long msgId)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteMessages

          public static void deleteMessages​(java.lang.String receiver,
                                            java.sql.ResultSet[] data)
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteMessagesByIds

          public static void deleteMessagesByIds​(java.lang.String receiver,
                                                 java.lang.String msgId1,
                                                 java.lang.String msgId2,
                                                 java.lang.String msgId3,
                                                 java.lang.String msgId4,
                                                 java.sql.ResultSet[] data)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getExpiredMessages

          public static void getExpiredMessages​(int limit,
                                                java.sql.ResultSet[] data)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getExpiredMessagesBefore

          public static void getExpiredMessagesBefore​(java.sql.Timestamp before,
                                                      java.sql.ResultSet[] data)
                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMessages

          public static void getMessages​(java.lang.String receiver,
                                         java.sql.ResultSet[] data)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMessagesByIds

          public static void getMessagesByIds​(java.lang.String receiver,
                                              java.lang.String msgId1,
                                              java.lang.String msgId2,
                                              java.lang.String msgId3,
                                              java.lang.String msgId4,
                                              java.sql.ResultSet[] data)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMessagesCount

          public static void getMessagesCount​(java.lang.String receiver,
                                              java.sql.ResultSet[] data)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### listMessages

          public static void listMessages​(java.lang.String receiver,
                                          java.sql.ResultSet[] data)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`